package eu.dnetlib.dhp.monitor.model;

/**
 * This class represents the Base Metric Label
 * it contains the common attribute like
 *  - name
 *  - value
 *
 *  Each metrics should contain one or more MetricLabel
 */
public class MetricLabel {

    /**
     * The Name.
     */
    public String name;

    private String value;

    /**
     * Instantiates a new Metric label.
     */
    public MetricLabel() {

    }

    /**
     * Instantiates a new Metric label.
     *
     * @param name  the name
     * @param value the value
     */
    public MetricLabel(String name, String value) {
        this.name = name;
        this.value = value;
    }


    /**
     * Gets name.
     *
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * Sets name.
     *
     * @param name the name
     * @return the name
     */
    public MetricLabel setName(String name) {
        this.name = name;
        return this;
    }

    /**
     * Gets value.
     *
     * @return the value
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets value.
     *
     * @param value the value
     * @return the value
     */
    public MetricLabel setValue(String value) {
        this.value = value;
        return this;
    }
}
